package com.mortals.xhx.base.system.message.impl;

import cn.hutool.core.exceptions.ExceptionUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.mortals.framework.service.ICacheService;
import com.mortals.xhx.base.system.message.MessageService;
import com.mortals.xhx.common.utils.SendTask;
import com.mortals.xhx.common.utils.SendTaskThreadPool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * DeviceService
 * 设备 service实现
 *
 * @author zxfei
 * @date 2022-03-09
 */
@Service("messageService")
@Slf4j
public class MessageServiceImpl implements MessageService {

    @Autowired
    private SendTaskThreadPool sendTaskThreadPool;


    @Override
    public void sendThirdParty(String sendUrl, String content) {
        SendTask sendTask = new SendTask(sendUrl, content);
        sendTaskThreadPool.execute(sendTask);
    }

    public static void main(String[] args) {
    }
}