package com.mortals.xhx.module.app.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.app.model.AppDatasetEntity;
import com.mortals.xhx.module.app.model.AppDatasetQuery;
import com.mortals.xhx.module.app.model.AppInfoFieldEntity;
import com.mortals.xhx.module.matter.model.MatterEntity;

import java.util.List;

/**
 * 自助终端应用数据集Dao
 * 自助终端应用数据集 DAO接口
 *
 * @author zxfei
 * @date 2022-11-28
 */

public interface AppDatasetDao extends ICRUDDao<AppDatasetEntity, Long> {

    String SQLID_CUSTOM_LIST = "getCustomList";
    String SQLID_CUSTOM_COUNT = "getCustomListCount";

    Result<AppInfoFieldEntity> getCustomList(AppDatasetQuery appDatasetQuery, PageInfo pageInfo);
}
