package com.mortals.xhx.daemon.applicationservice;

import com.mortals.framework.util.ThreadPool;
import com.mortals.xhx.common.utils.SendTaskThreadPool;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.mortals.framework.springcloud.service.IApplicationService;


@Component
public class DemoStartService implements IApplicationService {

    private static Log logger = LogFactory.getLog(DemoStartService.class);
    @Autowired
    private SendTaskThreadPool sendTaskThreadPool;


    @Override
    public void start() {
        ThreadPool.getInstance().init(10);
        sendTaskThreadPool.init(10);
        logger.info("开始服务..[配置已加载完成，但部分框架还未初始化，比如：Kafka]");
    }

    @Override
    public void stop() {
        logger.info("停止服务..");
    }

}
