package com.mortals.xhx.module.apply.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.apply.model.MatterApplyEntity;
import com.mortals.xhx.module.apply.dao.MatterApplyDao;
/**
* MatterApplyService
*
* 单事项申报 service接口
*
* @author zxfei
* @date 2023-05-23
*/
public interface MatterApplyService extends ICRUDService<MatterApplyEntity,Long>{

    MatterApplyDao getDao();

    /**
     * 申请审批
     * @param entity
     * @throws AppException
     */
    void applyExamine(MatterApplyEntity entity, Context context) throws AppException;

    /**
     * 重新申请
     * @param entity
     * @param context
     * @throws AppException
     */
    void reApply(MatterApplyEntity entity, Context context) throws AppException;
}